%**************************************************************************
% CLUSTER project: Store logfiles                  Autor: Christian Maszl *
% Unit System = [SI]                  Mail: e0025754@student.tuwien.ac.at *
%**************************************************************************
%
% This subroutine stores the errorlog and myfilelist to the harddisk.

% Check for logfile director
if (isdir('../logfiles')==1)
else
    % Create logfile directory
    mkdir('../logfiles');
end
% Create myfilelist.log and store the package names
fid=fopen('../logfiles/myfilelist.log','w');
for i=1:size(myfilelist,1)
    place1=cell2mat(myfilelist(i,1));
    place2=cell2mat(myfilelist(i,2));
    place3=cell2mat(myfilelist(i,3));
    place4=cell2mat(myfilelist(i,4));     
    fprintf(fid,'%s\t%s\r%s\t%s\n\r',place1,place2,...
                                     place3,place4);     
end
fclose(fid);
clear place1 place2 place3 place4 fid i;
% Create error.log and store the unvalid package names
fid2=fopen('../logfiles/error.log','w');
for i=1:size(errorlog,1)
    place1=cell2mat(errorlog(i,1));
    fprintf(fid2,'%s\r',place1);     
end
fclose(fid2); 
clear place1 place2 place3 place4 fid fid2 i errorlog;