%**************************************************************************
% CLUSTER project: User input                      Autor: Christian Maszl * 
% Unit System = [SI]                  Mail: e0025754@student.tuwien.ac.at *
%**************************************************************************

l=size(myfilelist,1);
date1=sscanf(myfilelist{1,1},'%6c',1);
date2=sscanf(myfilelist{l,1},'%6c',1);
% Output number of datapackages (1 package = four satellites)
text1=sprintf('%s %u %s','The filelist contains',l,'data packages.');
% Output the date of the earliest and the latest measurement
text2=sprintf('%s %6s \t %s %6s\n','Start date:',date1,'End date:',date2);
text3=sprintf('%s %u %s','Please enter a [M]anual range: 1 to',l,'or choose [A]LL.');
disp(text1);disp(text2);disp(text3);
% Check user input for desired operation mode
user_entry = input('[A] for all or [M] selfdefined range:','s') ;
for i=1:10
    switch lower(user_entry)
        case 'a'
            startloop=1;
            endloop  =l;
            break;
        case 'm'
             sl=input('Start the loop at position:');
             el=input('End the loop at position:');
             if (sl>=1 & el<=l & sl<=el)
                startloop=sl;
                endloop  =el;
                break;
            else
                disp('Invalid input arguments!')
            end
        otherwise
            user_entry = input('Please correct your input ([A] or [M]):','s');
    end
    if i==10
        disp('10 times invalid input. Please check the manual!')    
    else
    end
end
clear text1 text2 text3 date1 date2 l i sl el user_entry;